net.sf.jasperreports.engine.fill

## Interface JRMeasuredText

- All Known Implementing Classes:
    TextMeasurer.TextMeasuredState

      public interface JRMeasuredText

  Text measuring information as produced by a `text measurer`.
  Version:
    $Id: JRMeasuredText.java 6116 2013-04-26 11:55:17Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `JRTextMeasurer.measure(net.sf.jasperreports.engine.util.JRStyledText, int, int, boolean)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getLeadingOffset()` Returns the text leading offset.
    `short[]` | `getLineBreakOffsets()` Returns the line break offsets as required for `JRPrintText.getLineBreakOffsets()`.
    `float` | `getLineSpacingFactor()` Return the line spacing factor for the text.
    `float` | `getTextHeight()` Returns the text's measure height.
    `int` | `getTextOffset()` Returns the offset up to which text fitted.
    `java.lang.String` | `getTextSuffix()` Returns the suffix that was appended to the text (after `getTextOffset()`).
    `float` | `getTextWidth()` Returns the text's measure width.
    `boolean` | `isLeftToRight()` Returns whether the text was determined to be left to right or not.

- - ### Method Detail

    - #### getLeadingOffset

          float getLeadingOffset()

      Returns the text leading offset.
      Returns:
        the text leading offset

    - #### getLineSpacingFactor

          float getLineSpacingFactor()

      Return the line spacing factor for the text.
      Returns:
        the line spacing factor

    - #### getTextWidth

          float getTextWidth()

      Returns the text's measure width.
      Returns:
        the text's measure width

    - #### getTextHeight

          float getTextHeight()

      Returns the text's measure height.
      Returns:
        the text's measure height

    - #### getTextOffset

          int getTextOffset()

      Returns the offset up to which text fitted.
      Returns:
        the offset up to which text fitted

    - #### isLeftToRight

          boolean isLeftToRight()

      Returns whether the text was determined to be left to right or not.
      Returns:
        whether the text was determined to be left to right

    - #### getTextSuffix

          java.lang.String getTextSuffix()

      Returns the suffix that was appended to the text (after `getTextOffset()`).
      Returns:
        the suffix that was appended to the text

    - #### getLineBreakOffsets

          short[] getLineBreakOffsets()

      Returns the line break offsets as required for `JRPrintText.getLineBreakOffsets()`.
      Returns:
        the line break offsets for the measured text

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com